org.eclipse.ui

## Interface ILocalWorkingSetManager

All Superinterfaces:
  IWorkingSetManager

    public interface ILocalWorkingSetManager
    extends IWorkingSetManager

A local working set manager can be used to manage a set of working sets independently from the working sets managed by the global working set manager. A local working set manager can be saved and restored using the methods `saveState` and `restoreState`. A new local working set manager can be created using `IWorkbench.createLocalWorkingSetManager()`. Clients of local working set managers are responsible for calling `IWorkingSetManager.dispose()` when the working sets it manages are no longer needed.

This interface is not intended to be implemented or extended by clients.

Since:
  3.1
See Also:
  `IWorkbench.createLocalWorkingSetManager()`
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkingSetManager

`CHANGE_WORKING_SET_ADD, CHANGE_WORKING_SET_CONTENT_CHANGE, CHANGE_WORKING_SET_LABEL_CHANGE, CHANGE_WORKING_SET_NAME_CHANGE, CHANGE_WORKING_SET_REMOVE, CHANGE_WORKING_SET_UPDATER_INSTALLED, CHANGE_WORKING_SET_UPDATER_UNINSTALLED`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `restoreState(IMemento memento)` Restores the state of the working set manager from the given memento.
`void` `saveState(IMemento memento)` Saves the state of the working set manager to the given memento.

### Methods inherited from interface org.eclipse.ui.IWorkingSetManager

`addPropertyChangeListener, addRecentWorkingSet, addToWorkingSets, addWorkingSet, createAggregateWorkingSet, createWorkingSet, createWorkingSet, createWorkingSetEditWizard, createWorkingSetNewWizard, createWorkingSetSelectionDialog, createWorkingSetSelectionDialog, createWorkingSetSelectionDialog, dispose, getAllWorkingSets, getRecentWorkingSets, getRecentWorkingSetsLength, getWorkingSet, getWorkingSets, removePropertyChangeListener, removeWorkingSet, setRecentWorkingSetsLength`

### Method Detail

#### saveState

    void saveState(IMemento memento)

Saves the state of the working set manager to the given memento.

Parameters:
  `memento` - the memento to save the state to

#### restoreState

    void restoreState(IMemento memento)

Restores the state of the working set manager from the given memento. The method can only be called as long as the working set manager is still empty.

Parameters:
  `memento` - the memento to restore the state from